%global pypi_name subunit2sql
%global with_doc 1

%global common_desc \
subunit2SQL is a tool for storing test results data in a SQL database. \
Like it's name implies it was originally designed around converting \
subunit streams to data in a SQL database and the packaged utilities \
assume a subunit stream as the input format. However, the data model \
used for the DB does not preclude using any test result format.

Name:           python-%{pypi_name}
Version:        1.9.0
Release:        2%{?dist}
Summary:        Tooling for converting subunit streams into a SQL DB

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/subunit2sql
Source0:        %{pypi_source}
BuildArch:      noarch

%description
%{common_desc}

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr

# Test Requirements
BuildRequires:  python3-fixtures
BuildRequires:  python3-mock
BuildRequires:  python3-stestr
BuildRequires:  python3-testscenarios
BuildRequires:  python3-testtools
BuildRequires:  python3-PyMySQL
BuildRequires:  python3-psycopg2
BuildRequires:  python3-os-testr
BuildRequires:  python3-oslo-concurrency
BuildRequires:  python3-testresources
BuildRequires:  python3-dateutil
BuildRequires:  python3-matplotlib
BuildRequires:  python3-pandas
BuildRequires:  python3-alembic
BuildRequires:  python3-oslo-db
BuildRequires:  python3-oslo-config

Requires:   python3-pbr
Requires:   python3-alembic
Requires:   python3-oslo-config
Requires:   python3-oslo-db
Requires:   python3-subunit
Requires:   python3-six
Requires:   python3-sqlalchemy
Requires:   python3-stevedore
Requires:   python3-dateutil

%description -n python3-%{pypi_name}
%{common_desc}

%package -n    python3-%{pypi_name}-graph
Summary:    %{name} graph subpackage

Requires:   python3-%{pypi_name} = %{version}-%{release}
Requires:   python3-pandas
Requires:   python3-matplotlib

%description -n    python3-%{pypi_name}-graph
%{common_desc}

It contains graph plugin for %{name}.

%if 0%{?with_doc}
%package -n python-%{pypi_name}-doc
Summary:        subunit2sql documentation

BuildRequires:  python3-sphinx
BuildRequires:  python3-oslo-sphinx
BuildRequires:  python3-openstackdocstheme
BuildRequires:  python3-oslo-db

%description -n python-%{pypi_name}-doc
%{common_desc}

It contains the documentation for subunit2sql.
%endif

%prep
# Use -S git to fool build system into thinking this is a legit git repo
# Don't ask :O
%autosetup -n %{pypi_name}-%{version} -S git
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
rm -f test-requirements.txt requirements.txt

%build
%py3_build

%if 0%{?with_doc}
%{__python3} setup.py build_sphinx
rm -fr doc/build/html/.doctrees doc/build/html/.buildinfo
%endif

%install
%py3_install


%check
PYTHON=%{__python3} stestr-3 run


%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{_bindir}/subunit2sql-db-manage
%{_bindir}/subunit2sql
%{_bindir}/sql2subunit
%exclude %{_bindir}/subunit2sql-graph
%{python3_sitelib}/%{pypi_name}
%exclude %{python3_sitelib}/%{pypi_name}/analysis
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}-graph
%{_bindir}/subunit2sql-graph
%{python3_sitelib}/%{pypi_name}/analysis

%if 0%{?with_doc}
%files -n python-%{pypi_name}-doc
%license LICENSE
%doc doc/build/html
%endif

%changelog
* Wed Nov 14 2018 Miro Hrončok <mhroncok@redhat.com> - 1.9.0-2
- Remove python2 subpackages (#1643669)

* Sun Aug 19 2018 Haïkel Guémar <hguemar@fedoraproject.org> - 1.9.0-1
- Upstream 1.9.0 (RHBZ#1606874)

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.8.0-8
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Sep 15 2017 Chandan Kumar <chkumar246@gmail.com> - 1.8.0-6
- Fixed package name of python-sqlachemy

* Wed Aug 09 2017 Chandan Kumar <chkumar246@gmail.com> - 1.8.0-5
- Fixed test dependencies

* Wed Aug 09 2017 Chandan Kumar <chkumar246@gmail.com> - 1.8.0-4
- Fixed python2 and python3 dependencies

* Wed Aug 02 2017 Chandan Kumar <chkumar246@gmail.com> - 1.8.0-3
- Enable python3 subpackage
- Shortened summary and description

* Tue Aug 01 2017 Chandan Kumar <chkumar246@gmail.com> - 1.8.0-2
- Moved graph binary to a seperate subpackage

* Mon Jul 31 2017 Chandan Kumar <chkumar246@gmail.com> - 1.8.0-1
- Initial package.
